Subject: bug#67504: Pixel scroll down not smooth when scrolled horizontally

From: Po Lu <[email-masked]>
Date: Tue, 26 Dec 2023 09:38:22 +0800

Stefan Kangas <[email-masked]> writes:

> Mattias Engdegård <[email-masked]> writes:
>
>> In pixel-scroll-precision-mode, when the buffer is scrolled
>> horizontally, scrolling up is smooth but scrolling down is
>> not. Smaller movements appear to get stuck without making progress.
>>
>> Scrolling up or down is smooth when the buffer is not scrolled
>> horizontally (ie, left margin is visible).
>>
>> Observed in Emacs 29 and 30 on macOS, NS port, scrolling with
>> trackpad.
>
> Copying in Po Lu.

I thought I replied that this is user error: pixel scrolling to a
position that requires moving point will reset hscroll unless
auto-hscroll-mode is off, as it should be if moving point to the start
of a line is not meant to reset hscroll, whether through scrolling or
otherwise.

Thanks.